//////////////////////////////////////////////////////////////////////////////
//																			//
//	COPYRIGHT (c) 1998-99, Juan Franklin Pea.  All rights reserved.		//
//	email: bitwise@msn.com													//
//	The C++ Exchange:	http://www.geocities.com/SiliconValley/3341			//
//	This code is provided "as is" without express or implied warranty.		// 
//	Use it at your own risk! The author accepts no liability for any		//
//	damage or loss of business that any of this source code may cause.		//
//																			//
//	This source code may be used in compiled form in any way you desire.	// 
//	Source file(s) may be redistributed unmodified by any means PROVIDING	// 
//	they are not sold for profit without the authors expressed written		// 
//	consent, and providing that this notice and the authors name and all	// 
//	copyright notices remain intact. If the source code is used in any		// 
//	commercial applications then a statement along the lines of				// 
//	"Portions Copyright  1998-99 Juan Franklin Pea" must be included		// 
//	in the startup banner, "About" box or printed documentation. An email	// 
//	letting me know that you are using it would be appreciated.				// 
//	If you find any bugs, please send me an email describing the problem.	//
//																			//
//////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CUSTOMOPENFILEDLG_H__B9B38D4A_B257_11D2_9A92_0060080A8525__INCLUDED_)
#define AFX_CUSTOMOPENFILEDLG_H__B9B38D4A_B257_11D2_9A92_0060080A8525__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CCustomOpenFileDlg dialog

class CCustomOpenFileDlg : public CDialog
{
// Construction
public:
	CCustomOpenFileDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCustomOpenFileDlg)
	enum { IDD = IDD_CUSTOMOPENFILE_DIALOG };
	CString	m_strDirPath;
	CString	m_strFileExt;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCustomOpenFileDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCustomOpenFileDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnShowCustomOpenFileDlg();
	afx_msg void OnShowCustomSaveAsFileDlg();
	afx_msg void OnChangeFileExtension();
	afx_msg void OnChangeDirectoryPath();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CUSTOMOPENFILEDLG_H__B9B38D4A_B257_11D2_9A92_0060080A8525__INCLUDED_)
